package cn.minbb.edu.activities;

import android.app.ProgressDialog;
import android.content.Context;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;

import com.google.android.flexbox.FlexboxLayout;
import com.joanzapata.iconify.widget.IconTextView;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.minbb.edu.R;
import cn.minbb.edu.ctrl.App;
import cn.minbb.edu.views.ClearTextInputEditText;

public class HelpActivity extends AppCompatActivity {

    @BindView(R.id.typeTip)
    IconTextView typeTip;
    @BindView(R.id.type_1)
    RadioButton type1;
    @BindView(R.id.type_2)
    RadioButton type2;
    @BindView(R.id.type_3)
    RadioButton type3;
    @BindView(R.id.feedbackType)
    RadioGroup feedbackType;
    @BindView(R.id.problemTip)
    IconTextView problemTip;
    @BindView(R.id.problem_1)
    CheckBox problem1;
    @BindView(R.id.problem_2)
    CheckBox problem2;
    @BindView(R.id.problem_3)
    CheckBox problem3;
    @BindView(R.id.problem_4)
    CheckBox problem4;
    @BindView(R.id.problem_5)
    CheckBox problem5;
    @BindView(R.id.problem_6)
    CheckBox problem6;
    @BindView(R.id.problem_7)
    CheckBox problem7;
    @BindView(R.id.feedbackProblem)
    FlexboxLayout feedbackProblem;
    @BindView(R.id.problemContent)
    ClearTextInputEditText problemContent;
    @BindView(R.id.problemContentLimit)
    TextView problemContentLimit;
    @BindView(R.id.nameTip)
    IconTextView nameTip;
    @BindView(R.id.nameText)
    EditText nameText;
    @BindView(R.id.contactTip)
    IconTextView contactTip;
    @BindView(R.id.contactText)
    EditText contactText;
    @BindView(R.id.qqToDeveloper)
    IconTextView qqToDeveloper;
    @BindView(R.id.phoneToDeveloper)
    IconTextView phoneToDeveloper;
    @BindView(R.id.mailToDeveloper)
    IconTextView mailToDeveloper;

    private ProgressDialog dialog;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_help);
        ButterKnife.bind(this);
        App.setupActionBar(this);

        problemContent.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence charSequence, int i, int i1, int i2) {
            }

            @Override
            public void onTextChanged(CharSequence charSequence, int i, int i1, int i2) {
            }

            @Override
            public void afterTextChanged(Editable editable) {
                problemContentLimit.setText(String.format("%s / 200", editable.length()));
            }
        });
    }

    public static void start(Context context) {
        Intent starter = new Intent(context, HelpActivity.class);
        context.startActivity(starter);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        menu.add(0, 0, 0, "提交").setShowAsAction(MenuItem.SHOW_AS_ACTION_ALWAYS);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case 0:
                Toast.makeText(getApplicationContext(), "提交成功", Toast.LENGTH_SHORT).show();
                break;
            case android.R.id.home:
                finish();
                break;
        }
        return super.onOptionsItemSelected(item);
    }
}
