package cn.minbb.edu.activities;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.RecyclerView;
import android.view.MenuItem;
import android.view.View;
import android.widget.Toast;

import java.util.HashMap;
import java.util.Map;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import cn.minbb.edu.R;
import cn.minbb.edu.app.URL;
import cn.minbb.edu.ctrl.App;
import cn.minbb.edu.util.HttpRequestUtil;
import cn.minbb.edu.views.ClearTextInputEditText;

public class SearchActivity extends AppCompatActivity {

    @BindView(R.id.search_content)
    ClearTextInputEditText searchContent;
    @BindView(R.id.courses)
    RecyclerView courses;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_search);
        ButterKnife.bind(this);
        App.setupActionBar(this);
    }

    public static void start(Context context) {
        Intent starter = new Intent(context, SearchActivity.class);
        context.startActivity(starter);
    }

    private void loadData() {
        Map<String, Integer> idMap = new HashMap<>(1);
        idMap.put("id", 1);
        // 加载学科课程
        new HttpRequestUtil(URL.request(URL.URLEnum.SUBJECT), new HttpRequestUtil.RequestCallback() {
            @Override
            public void failed(String s) {
                runOnUiThread(() -> Toast.makeText(getApplicationContext(), "请求失败\n" + s, Toast.LENGTH_SHORT).show());
            }

            @Override
            public void success(String s) {
                runOnUiThread(() -> {
                });
            }
        }).post(idMap);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() == android.R.id.home) {
            finish();
        }
        return super.onOptionsItemSelected(item);
    }

    @OnClick(R.id.search)
    public void onViewClicked(View view) {
        if (view.getId() == R.id.search) {
            courses.setVisibility(View.VISIBLE);
        }
    }
}
