package cn.minbb.edu.activities;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.text.TextUtils;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.bumptech.glide.Glide;

import butterknife.BindView;
import butterknife.ButterKnife;
import cn.minbb.edu.R;
import cn.minbb.edu.ctrl.App;
import cn.minbb.edu.ctrl.UserManager;
import cn.minbb.edu.model.User;

public class UserInfoActivity extends AppCompatActivity {

    @BindView(R.id.username_text)
    TextView usernameText;
    @BindView(R.id.avatar_image)
    ImageView avatarImage;
    @BindView(R.id.name_text)
    TextView nameText;
    @BindView(R.id.school_text)
    TextView schoolText;
    @BindView(R.id.mail_text)
    TextView mailText;
    @BindView(R.id.phone_text)
    TextView phoneText;
    @BindView(R.id.qq_text)
    TextView qqText;
    @BindView(R.id.alert_password)
    TextView alertPassword;
    @BindView(R.id.logout)
    TextView logout;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_user_info);
        ButterKnife.bind(this);
        App.setupActionBar(this);

        User user = UserManager.getCurrentUser();
        if (user == null) {
            finish();
        } else {
            usernameText.setText(user.getUsername());
            String avatarUrl = user.getAvatar();
            String nameContent = user.getName();
            String schoolContent = user.getSchool();
            if (!TextUtils.isEmpty(avatarUrl)) Glide.with(this).load(avatarUrl)
                    .placeholder(R.drawable.banner_loading_16by9)
                    .error(R.drawable.banner_loading_error_16by9)
                    .centerCrop().dontAnimate().into(avatarImage);
            if (!TextUtils.isEmpty(nameContent)) nameText.setText(nameContent);
            if (!TextUtils.isEmpty(schoolContent)) schoolText.setText(schoolContent);
        }
    }

    public static void start(Context context) {
        Intent starter = new Intent(context, UserInfoActivity.class);
        context.startActivity(starter);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId() == android.R.id.home) finish();
        return super.onOptionsItemSelected(item);
    }

    public void onViewClick(View view) {
        switch (view.getId()) {
            case 0:
                break;
        }
    }
}
